Description: <pre>


cat /etc/gentoo-release 


Calculate Linux Desktop 14.16 KDE


</pre>


<pre>


uname -a


Linux calculate 3.18.9-calculate #1 SMP PREEMPT Fri Mar 13 17:20:01 UTC 2015 x86_64 Intel(R) 

Core(TM) i5-3317U CPU @ 1.70GHz GenuineIntel GNU/Linux


</pre>





Ð”Ð¾Ð»Ð³Ð°Ñ• Ð·Ð°Ð³Ñ€ÑƒÐ·ÐºÐ° Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ñ‹, Ð¸ Ð°Ð²Ñ‚Ð¾Ñ€Ð¸Ð·Ð°Ñ†Ð¸Ñ• 

Ð¿Ð¾Ð»ÑŒÐ·Ð¾Ð²Ð°Ñ‚ÐµÐ»Ñ•, Ð² Ð»Ð¾Ð³Ðµ /var/log/messages Ñ€ÑƒÐ³Ð°ÐµÑ‚Ñ•Ñ• LDAP 

http://pastebin.calculate-linux.ru/ru/show/10736.





<pre>


rc-update -a





 slapd |      default


</pre>





Ð•Ð¾ Ð¿Ð¾Ñ•Ð»Ðµ Ð¿ÐµÑ€ÐµÐ·Ð°Ð³Ñ€ÑƒÐ·ÐºÐ¸ Ð¾Ð½ Ð½Ðµ Ð·Ð°Ð¿ÑƒÑ‰ÐµÐ½ 





<pre>


 /etc/init.d/slapd status


 * status: stopped


</pre>





Ð² Ñ€ÑƒÑ‡Ð½ÑƒÑŽ Ñ•Ñ‚Ð°Ñ€Ñ‚ÑƒÐµÑ‚





<pre>


/etc/init.d/slapd start


 * Starting ldap-server ... 


</pre>





Ð»Ð¾Ð³ Ð¿Ð¾Ñ•Ð»Ðµ Ñ•Ñ‚Ð°Ñ€Ñ‚Ð°





<pre>


Apr  4 16:47:45 calculate slapd[27345]: @(#) $OpenLDAP: slapd 2.4.38 (Mar 30 2015 19:50:18) $


    

@sandbox:/var/calculate/tmp/portage/net-nds/openldap-2.4.38-r2/work/openldap-2.4.38-abi_x86_64.amd64/s

ervers/slapd


Apr  4 16:47:45 calculate slapd[27347]: hdb_db_open: warning - no DB_CONFIG file found in directory 

/var/lib/openldap-data: (2).


Expect poor performance for suffix "dc=my-domain,dc=com".


Apr  4 16:47:46 calculate slapd[27347]: slapd starting


</pre>
Ð•Ð°Ð³ÑƒÐ³Ð»Ð¸Ð» Ð¸ Ð² Ñ€ÐµÐ·ÑƒÐ»ÑŒÑ‚Ð°Ñ‚Ðµ Ð¾Ð±Ñ€Ð°Ñ‚Ð¸Ð» Ð²Ð½Ð¸Ð¼Ð°Ð½Ð¸Ðµ, Ñ‡Ñ‚Ð¾ 

Ñ„Ð°Ð¹Ð» /etc/nsswitch.conf Ð±Ñ‹Ð» Ð¸Ð·Ð¼ÐµÐ½ÐµÐ½ Ð½ÐµÐ´Ð°Ð²Ð½Ð¾, Ð²Ð¾Ð·Ð¼Ð¾Ð¶Ð½Ð¾ 

Ð¿Ð¾Ñ•Ð»Ðµ Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸Ñ•





<pre>


ls -l /etc/nsswitch.conf -rw-r--r-- 1 root root 700 Ð°Ð¿Ñ€  2 18:35 nsswitch.conf


</pre>





Ð£Ð´Ð°Ð»Ð¸Ð» Ñ„Ð°Ð¹Ð» /etc/nsswitch.conf, Ð¿Ð¾Ñ•Ð»Ðµ Ñ‡ÐµÐ³Ð¾ Ð¿Ñ€Ð¾Ñ†ÐµÑ•Ñ• 

Ð·Ð°Ð³Ñ€ÑƒÐ·ÐºÐ¸ Ð¸ Ð°Ð²Ñ‚Ð¾Ñ€Ð¸Ð·Ð°Ñ†Ð¸Ð¸ Ð¿Ñ€Ð¾Ñ…Ð¾Ð´Ð¸Ñ‚ Ð½Ð¾Ñ€Ð¼Ð°Ð»ÑŒÐ½Ð¾. 





<pre>


cat /etc/nsswitch.conf 


#------------------------------------------------------------------------------


# Modified Calculate-core 3.3.1.7


# Processed template files:


# /var/lib/layman/calculate/profiles/templates/3.3/2_ac_install_merge/sys-libs/glibc/nsswitch.conf


# For modify this file, create /etc/nsswitch.conf.clt template.


#------------------------------------------------------------------------------





passwd:      files ldap


shadow:      files ldap


group:       files ldap


hosts:       files dns


networks:    files dns


services:    files ldap


protocols:   files ldap


rpc:         db files


ethers:      db files


netmasks:    files


netgroup:    files ldap


bootparams:  files


automount:   files ldap


aliases:     files


</pre>

History

04/05/2015 12:10 am - Scott Bertilson

I just ran into a similar problem in that I recently installed 14.12.1, had not updated for a few weeks, then updated last night; NOW I see a LOT of this 

sort of thing in /var/log/messages:


nss_ldap: failed to bind to LDAP server





Comparing with another instance (not yet updated) of CLDX, I see that, although it lists ldap in nsswitch.conf, it is missing /etc/ldap.conf so there is a 

quick end to attempts by pam_ldap to contact the LDAP server:


pam_ldap: missing file "/etc/ldap.conf"





This file is included with sys-auth/nss_ldap-265-r5 which is installed on both my non-updated and my updated host, but in my non-updated host 

/etc/ldap.conf isn't actually there.


I'm guessing that something changed in the templating / configuration setup which now allows the file to actually exist on the system....?


04/05/2015 01:29 am - Scott Bertilson
I'd see this as related or similar to the following from 7 months ago:


http://www.calculate-linux.org/boards/15/topics/26673


[openldap] nss_ldap failed to bind to LDAP (solved)





His solution was to edit /etc/nsswitch.conf to eliminate ldap from all the name services that had been using it.  This seems like a reasonable approach 

to me, but I'd like to know if that's what would be the best approach (creating a template override to make it permanent).

04/05/2015 09:20 am - Scott Bertilson

Is there any way to create a template that would strip ldap from nsswitch.conf unless there is an ldap server running or is there some other trigger that 

might be used so that this could be automatic?

04/06/2015 09:17 pm - Scott Bertilson

Or, better yet, is there a way to modify the settings in /etc/ldap.conf or the behavior of nss_ldap so that it   more quickly discerns that there is no LDAP 

server available to query and moves on to the next available name service source?

04/08/2015 10:11 am - Mikhail Hiretsky

Fixed in templates for nss_ldap (removing ldap.conf).

04/09/2015 09:03 pm - Scott Bertilson

Thanks for the fix.





Could you comment (or point me to something to read) on how this would be re-applied if one were to install and try to activate a local LDAP server to 

answer these queries?  Would the normal process be to create a local override for the template to keep the file from being removed?

04/10/2015 10:39 am - Mikhail Hiretsky

If you want to configure ldap.conf then you should create /etc/ldap.conf.clt file with contents


<pre>


# Calculate merge(sys-auth/nss_ldap)!=&&pkg(sys-auth/nss_ldap)!=


...


you configuration data


...


</pre>


04/17/2015 03:01 pm - Alexander Tratsevskiy

- Status changed from New to Closed
